#### D.5.4.8 degreeDivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  degreeDivisor(A); A = divisor.

Assume:
  A is a divisor on X.

Return:
  The degree of A.

Theory:
  We compute difference of the degrees of the numerator and denominator ideals.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor P = makeDivisor(ideal(x,z),ideal(1));
    degreeDivisor(P);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.